# source https://github.com/vkohaupt/vokoscreen/archive/2.5.0.tar.gz

Name:		vokoscreen
Version:	2.5.0
Release:	%mkrel 1
Summary:	Screencasting

License:	GPLv2
Group:		Video
URL:		http://www.kohaupt-online.de/hp
Source0:	%{name}-%{version}.tar.xz
Patch0:		vokoscreen-2.5.0-fix-lrelease.patch
Patch1:		vokoscreen-2.5.0-fix-desktop-file.patch

BuildRequires:  ImageMagick
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:	%{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}v4l-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xrandr2-devel
BuildRequires:	pkgconfig
BuildRequires:	qttools5
Requires:	alsa-utils
Requires:	ffmpeg
Requires:	lame
Requires:	lsof
Requires:	mkvtoolnix
Requires:	pulseaudio-utils
Requires:	xdg-utils

%description
Vokoscreen is an easy to use screencast creator to record educational
videos, live recordings of browser, installation, videoconferences, etc.

%prep
%setup -q
%apply_patches
convert -resize 48 applications/%{name}.png applications/%{name}.png

%build
%qmake_qt5 \
  DEFINES+=NO_NEW_VERSION_CHECK
%make

%install
%qmakeinstall_std

%files
%defattr(-,root,root)
%doc README.md VERSION COPYING CHANGE CREDITS
%{_bindir}/vokoscreen
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Sep 04 2016 marcin82 <marcin82 at vp.pl> 2.5.0-1pclos2016
- update
- built with Qt5

* Tue Mar 15 2016 bb <bb> 2.4.0-1pclos2016
- update

* Mon May 18 2015 bb <bb> 2.3.0-1pclos2015
- update

* Sat Mar 14 2015 bb <bb> 2.1.0-3pclos2015
- add patch

* Thu Mar 12 2015 bb <bb> 2.1.0-2pclos2015
- rebuild
